## clamav 0.98.4+dfsg

=== debian/changelog ===
clamav (0.98.4+dfsg-2) unstable; urgency=high

  [ Scott Kitterman ]
  * Urgency high due to fix for undocumented API/ABI break
  * debian/patches/0002-Fix-STAT64-definition-and-add-missing-includes.patch:
    Removed, because the remaining changes are not needed to fix FTBFS and
    upstream recommends drop due to potential issues with scanning large
    files.

  [ Andreas Cadhalpun ]
  * Fix debian/watch to properly detect release candidates.
  * Add patches to fix building on Hurd:
     - 0008-Fix-compiling-on-Hurd.patch
     - 0009-Workaround-a-bug-in-libc-on-Hurd.patch
  * Fix 0004-Fix-FTBFS-with-LLVM-3.1-3.4.patch to correctly detect the
    new LLVM version scheme X.Y.Z (instead of X.Y).
  * Add versioned dependencies on procps (for 'pkill -F') and on dpkg
    (for 'start-stop-daemon --status').
  * Remove useless code from debian/freshclam.init.in.
  * Avoid creation of an empty freshclam.pid file.
  * Switch the watchfile to look at github.com, because the sf.net
    website doesn't work correctly at the moment, see #752384.
  * Add DEP-5 header with Files-Excluded field to debian/copyright
    in order to let uscan remove unneeded files.

  [ Julien Patriarca ]
  * Updated French Debconf template translation (Closes: #752388)

  [ Sebastian Andrzej Siewior ]
  * Add 0010-Call-cl_initialize_crypto-in-cl_init.patch from upstream. The
    cl_initialize_crypto() will now be invoked within libclamav in cl_init()
    so there is now no need to force third party to invoke that function on
    their own.

 -- Scott Kitterman <scott@kitterman.com>  Fri, 04 Jul 2014 10:17:03 -0400

clamav (0.98.4+dfsg-1) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Add 0008-bb-11028-fixed-a-deadlock-issue-with-fanotify-and-lo.patch
    from upstream to fix a deadlock issue with fanotify. (Closes: #749027)
  * Don't try to reload freshclam logs, when run from cron. (Closes: #750942)

  [ Yuri Kozlov ]
  * Updated Russian Debconf template translation (Closes: #750808)

  [ Mario Blättermann ]
  * Updated German Debconf template translation (Closes: #751562)

  [ Scott Kitterman ]
  * New upstream version (Closes: #750075)
    - Update debian/patches/0002-Fix-STAT64-definition-and-add-missing-
      includes.patch, partially incorporated upstream
    - Drop debian/patches/0008-Add-REG-namespace-in-disasm-common.h-and-
      users.patch, resolved upstream
    - Drop debian/patches/0009-powerpc_jit_fix.patch, cherrypick from upstream

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Jun 2014 19:37:07 -0400

clamav (0.98.4~rc1+dfsg-3) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Respect the $CLAMAVCONF variable at daemon start. (Closes: #748310)
  * Make the exit status codes of the init scripts LSB compliant.

  [ Holger Wansing ]
  * Updated German translation (Closes: #744314)

  [ Sebastian Andrzej Siewior ]
  * Make the testsuite output verbose again.

  [ Anthony ]
  * Updated French translation (Closes: #749561)

  [ victory ]
  * Updated Japanese translation (Closes: #749589)

  [ Scott Kitterman ]
  * Add debian/patches/0009-powerpc_jit_fix.patch from upstream to test fix
    for powerpc FTBFS (Closes: #748180)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 May 2014 16:36:38 -0400

clamav (0.98.4~rc1+dfsg-2) unstable; urgency=medium

  * Only override dh_installdocs for arch indpedent packages to fix FTBFS on
    the buildds
  * Bump minimum debhelper requirement to 8.9.7 for build target specific
    override

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 May 2014 21:46:14 -0400

clamav (0.98.4~rc1+dfsg-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Drop changes to hard code use of auto* 1.11 as 0.98.3 builds with 1.14
    - Change build-depends in debian/rules
    - Change exported values in debian/rules
    - Drop debian/patches/0002-configure.ac-patches-to-got-with-autoreconf-
      and-auto.patch
  * Update libclamav6 binary zlib lintian override for new so version

  [ Andreas Cadhalpun ]
  * debian/clamav-milter.config: Never load clamd.conf as fallback for
    a missing clamav-milter.conf. Use default values instead.
  * debian/rules: Make also dh_auto_test verbose.
  * debian/rules: Don't use faketime on hurd. (Hopefully really fix FTBFS.)

  [ Américo Monteiro ]
  * Updated Portuguese translation

  [ Adam Conrad ]
  * Fix underlinking with llvm in libclamav/c++/Makefile.am

  [ Sebastian Andrzej Siewior ]
  * new upstream version
  * add a patch to rename REG_EAX (and friends) to X86_REG_EAX (and for
    friends). Fixes a FTBFS on i386.
    - debian/patches/0008-Add-REG-namespace-in-disasm-common.h-and-users.patch

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 17 May 2014 20:17:58 +0200

clamav (0.98.3+dfsg-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Only build-depend on llvm-dev on architectures that can use clamav JIT
    (amd64, i386, and powerpc)
  * Switch debian/rules from excluding certain archs from using LLVM to
    listing archs that use it (it is auto disabled during configure on other
    archs anyway)

  [ Andreas Cadhalpun ]
  * Add debian/patches/0007-enable-llvm-jit-on-kfreebsd.patch to enable
    clamav JIT on kfreebsd-amd64 and kfreebsd-i386.
  * Adjust debain/rules and debian/control accordingly.
  * Fix building on hurd (hopefully).
  * Add myself as uploader.
  * Handle the clamd.conf file in clamav-daemon instead of clamav-base.
    This fixes the creation of the logrotate file with users other than
    clamav. (Closes: #669287)
  * Update to new upstream version.
    - clamd listens now on IPv6 sockets (Closes: #616172)
    - libclamav links now with OpenSSL (via build dependcy on libssl-dev)
    - clamsubmit: new tool to submit suspicious files/false positives
  * Correct clamav-milter status action for non-local sockets.
    Thanks to Raphaël Hertzog for the bug report and patch. (Closes: #747354)
  * Mark clamav as Multi-Arch: foreign. (Closes: #731194)

  [ Sebastian Andrzej Siewior ]

