## clamav 0.98.5+dfsg

=== debian/changelog ===
clamav (0.98.5+dfsg-0+deb7u2) stable; urgency=medium

  * Add "libmspack-qtmd-fix-frame_end-overflow" to avoid endless-loop on
    special crafted quantum compressed cab files. Patch suggested by Andreas
    Cadhalpus (Closes: #773318).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 03 Jan 2015 18:37:09 -0500

clamav (0.98.5+dfsg-0+deb7u1) stable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * import new upsstream version, refresh patches (Closes: #763300):
    updated:
     - hardcode-LLVM-linker-flag-because-llvm-config-return
  * Add fix-ssize_t-size_t-off_t-printf-modifier.patch. This in conjunction
    with _FILE_OFFSET_BITS=64 should fix test suite failures due to wrong
    printf format modifier.
  * Add "Bump-.so-version-number", likely the RPM version of 769384.
  * Add "llvm-don-t-use-system-libs", since we don't link against .a libs, we
    don't need the deps either.
  * Add "clamav-milter-add-additinal-SMFIF_-flags-before-invo" to make sure
    clamav-milter is able to add/replace X-Virus-Status + X-Virus-Scanned
    header flags.
  * Add bb-10731-Allow-to-specificy-a-group-for-the-socket-o.patch as a
    prepation to allow running clamav-milter in a group of which the user is
    not part of.
  * Init milter socket before dropping root permissions (Closes: #636881).
  * Drop SOCKET_RWGROUP and start milter as root and let it drop permissions
    later. Now there is no need for /etc/default/clamav-milter.
    (Closes: #636877)
  * Add "bb-10731-Allow-to-specificy-a-group-for-the-socket-o" as dependecy
    for "clamav-milter-add-additinal-SMFIF_-flags-before-invo"
  * Update embedded copy of libmspack to be used as fallback, when libmspack-dev
    is not available.
  * Convert debian/copyright to DEP-5 copyright format 1.0.
  * Ignore test failures on hurd, because sockets don't work in the build
    chroot on the buildd.
  * Fix implicit declaration warnings.
  * Switch Vcs-Browser to the cgit interface.
  * Compile with large file support to avoid incompatibility with libmspack.
 
  [ Scott Kitterman ]
  * Update libclamav6: embedded-library lintian override for new libclamav6 so
    version
  * Fix hyphen-used-as-minus-sign in sigtool.1 and clamsubmit.1
  * Add source:Version minimum version requirements for freshclam to clamav,
    clamav-daemon, and clamav-milter
  * Run wrap-and-sort to improve readability of debian/control and other
    packaging files
  * Consolidate unstable/experimental changelog entries
  * Adjust revision number to ensure smooth upgrades to jessie

  [ Andreas Cadhalpun ]
  * Bump the version requirement for the cl_retflevel symbol to 0.98.5~rc1,
    because the CL_FLEVEL, which this function returns, increased in that
    version the last time.
    This ensures that the functionality level of libclamav is always new
    enough. (Closes: #769384)
  * Add 4 new symbols to libclamav6.symbols.
  * Fix debian/copyright.
  * Update lintian overrides.
  * Update Standards-Version to 3.9.6 (no changes needed).
  * Remove unnecessary shlibs:Depends from clamav-dbg.
  * Add patches to support LLVM 3.5.
  * Add hardcode-LLVM-linker-flag-because-llvm-config-return.patch to make
    clamav link to LLVM dynamically, which considerably decreases the size
    of libclamav.
  * Drop explicit po2debconf handling from debian/rules. It has been unused,
    because the templates are nowadays handled by dh_installdebconf.
  * Remove superfluous debian/*.dirs files and unneeded directories from the
    remaining debian/*.dirs files.
  * Don't mention non-existant file libclamav/crypto.h in debian/copyright.
  * Add lintian overrides for false positive tags:
     - space-in-std-shortname-in-dep5-copyright
     - wildcard-matches-nothing-in-dep5-copyright
     - package-contains-timestamped-gzip
  * Fix the watch file to correctly mangle beta version numbers.
  * Switch back to the sourceforge.net redirector, since #752384 got fixed.
  * Don't suggest daemon on hurd, as it doesn't build there.
  * Let debian/script include /etc/clamav/clamav-milter.conf in bug reports,
    even if clamconf from clamav-daemon is not available.
  * Install all documentation PDFs, including phishsigs_howto.pdf.
  * Remove unused function wait_for_socket from clamav-milter.init.in.
  * Simplify libclamav6.install file by using a wildcard.
  * Improve comments in debian/rules.
  * Stop ignoring test failures on hurd, because hurd's libc got fixed.
  * Don't use '--with systemd' on wheezy, where dh_systemd is not available.
  * Depend on libjson0-dev and enable libjson

  [ Frans Spiesschaert ]
  * Updated Dutch Debconf template translation (Closes: #763634)

  [ Joe Dalton ]
  * Updated Danish Debconf template translation (Closes: #753973)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Nov 2014 08:42:58 -0500

clamav (0.98.4+dfsg-0+deb7u2) stable; urgency=medium

  [ Scott Kitterman ]
  * debian/patches/0002-Fix-STAT64-definition-and-add-missing-includes.patch:
    Removed, because the remaining changes are not needed to fix FTBFS and
    upstream recommends drop due to potential issues with scanning large
    files.

  [ Andreas Cadhalpun ]
  * Fix debian/watch to properly detect release candidates.
  * Add patches to fix building on Hurd:
     - 0008-Fix-compiling-on-Hurd.patch
     - 0009-Workaround-a-bug-in-libc-on-Hurd.patch
  * Fix 0004-Fix-FTBFS-with-LLVM-3.1-3.4.patch to correctly detect the
    new LLVM version scheme X.Y.Z (instead of X.Y).
  * Add versioned dependencies on procps (for 'pkill -F') and on dpkg
    (for 'start-stop-daemon --status').
  * Remove useless code from debian/freshclam.init.in.
  * Avoid creation of an empty freshclam.pid file.
  * Switch the watchfile to look at github.com, because the sf.net
    website doesn't work correctly at the moment, see #752384.
  * Add DEP-5 header with Files-Excluded field to debian/copyright
    in order to let uscan remove unneeded files.

  [ Julien Patriarca ]

