=== debian/control ===
--- 
+++ 
@@ -2,23 +2,43 @@
 Section: utils
 Priority: optional
 Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
-Uploaders: Stephen Gran <sgran@debian.org>, Michael Meskes <meskes@debian.org>,
- Michael Tautschnig <mt@debian.org>, Scott Kitterman <scott@kitterman.com>,
- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>,
- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
-Build-Depends: debhelper (>= 8.9.7), po-debconf, zlib1g-dev, libbz2-dev, libmilter-dev,
- perl, bc, check, libtommath-dev, libltdl-dev, electric-fence, libncurses5-dev, python,
- libxml2-dev, llvm-dev [i386 amd64 powerpc kfreebsd-amd64 kfreebsd-i386], dh-autoreconf,
- automake, pkg-config, faketime, libssl-dev, libcurl4-openssl-dev
-Standards-Version: 3.9.5
+Uploaders: Stephen Gran <sgran@debian.org>,
+           Michael Meskes <meskes@debian.org>,
+           Michael Tautschnig <mt@debian.org>,
+           Scott Kitterman <scott@kitterman.com>,
+           Sebastian Andrzej Siewior <sebastian@breakpoint.cc>,
+           Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
+Build-Depends: automake,
+               bc,
+               check,
+               debhelper (>= 8.9.7),
+               dh-autoreconf,
+               electric-fence,
+               faketime,
+               libbz2-dev,
+               libcurl4-openssl-dev,
+               libjson0-dev,
+               libltdl-dev,
+               libmilter-dev,
+               libncurses5-dev,
+               libssl-dev,
+               libtommath-dev,
+               libxml2-dev,
+               llvm-dev [i386 amd64 powerpc kfreebsd-amd64 kfreebsd-i386],
+               perl,
+               pkg-config,
+               po-debconf,
+               python,
+               zlib1g-dev
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-clamav/clamav.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-clamav/clamav.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/clamav.git
 Homepage: http://www.clamav.net/
 XS-Testsuite: autopkgtest
 
 Package: clamav-base
 Architecture: all
-Depends: ${misc:Depends}, adduser, ucf, logrotate
+Depends: adduser, logrotate, ucf, ${misc:Depends}
 Recommends: clamav
 Description: anti-virus utility for Unix - base package
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
@@ -49,7 +69,9 @@
 
 Package: clamav-dbg
 Architecture: any
-Depends: libclamav6, clamav (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: clamav (= ${binary:Version}),
+         libclamav6,
+         ${misc:Depends}
 Priority: extra
 Section: debug
 Description: debug symbols for ClamAV
@@ -66,7 +88,9 @@
 Package: clamav
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, clamav-freshclam | clamav-data, ${misc:Depends}
+Depends: clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: clamav-base
 Suggests: clamav-docs
 Description: anti-virus utility for Unix - command-line interface
@@ -99,7 +123,14 @@
 Package: libclamav-dev
 Section: libdevel
 Architecture: any
-Depends: libclamav6 (= ${binary:Version}), libssl-dev, libidn11-dev, libc6-dev | libc-dev, zlib1g-dev, libbz2-dev, libtommath-dev, ${misc:Depends}
+Depends: libbz2-dev,
+         libc6-dev | libc-dev,
+         libclamav6 (= ${binary:Version}),
+         libidn11-dev,
+         libssl-dev,
+         libtommath-dev,
+         zlib1g-dev,
+         ${misc:Depends}
 Description: anti-virus utility for Unix - development files
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
  this software is the integration with mail servers (attachment
@@ -117,7 +148,7 @@
 Package: libclamav6
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libclamunrar6
 Description: anti-virus utility for Unix - library
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
@@ -135,8 +166,16 @@
 
 Package: clamav-daemon
 Architecture: any
-Depends: ${shlibs:Depends}, clamav-base (= ${source:Version}), clamav-freshclam | clamav-data, lsb-base (>= 3.2-13), ucf, adduser, procps (>= 1:3.3.2), dpkg (>= 1.16.1), ${misc:Depends}
-Suggests: daemon, clamav-docs, apparmor
+Depends: adduser,
+         clamav-base (= ${source:Version}),
+         clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
+         dpkg (>= 1.16.1),
+         lsb-base (>= 3.2-13),
+         procps (>= 1:3.3.2),
+         ucf,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: apparmor, clamav-docs, daemon [!hurd-any]
 Breaks: clamav-base (<< 0.98.1+dfsg-6)
 Replaces: clamav-base (<< 0.98.1+dfsg-6)
 Description: anti-virus utility for Unix - scanner daemon
@@ -148,8 +187,7 @@
  the Internet in the clamav-freshclam package. The programs are based
  on libclamav6, which can be used by other software.
  .
- This package contains the daemon and its command line interface,
- featuring:
+ This package contains the daemon and the daemon scanner client featuring:
   - fast, multi-threaded daemon;
   - easy integration with MTA's;
   - support for on-access scanning;
@@ -174,10 +212,17 @@
 
 Package: clamav-freshclam
 Architecture: any
-Conflicts: clamav-data, libclamav3, libclamav2
+Conflicts: clamav-data, libclamav2, libclamav3
 Provides: clamav-data
-Suggests: clamav-docs, apparmor
-Depends: ${misc:Depends}, clamav-base (>= ${source:Version}), ${shlibs:Depends}, ucf, logrotate, lsb-base (>= 3.2-13), procps (>= 1:3.3.2), dpkg (>= 1.16.1)
+Suggests: apparmor, clamav-docs
+Depends: clamav-base (>= ${source:Version}),
+         dpkg (>= 1.16.1),
+         logrotate,
+         lsb-base (>= 3.2-13),
+         procps (>= 1:3.3.2),
+         ucf,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: anti-virus utility for Unix - virus database update utility
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
  this software is the integration with mail servers (attachment
@@ -193,10 +238,19 @@
 
 Package: clamav-milter
 Architecture: any
-Suggests: daemon, clamav-docs
+Suggests: clamav-docs, daemon [!hurd-any]
 Priority: extra
 Recommends: clamav-daemon
-Depends: ${shlibs:Depends}, clamav-base (>= ${source:Version}), clamav-freshclam | clamav-data, lsb-base (>= 3.2-13), ${misc:Depends}, adduser, ucf, logrotate, procps (>= 1:3.3.2), dpkg (>= 1.16.1)
+Depends: adduser,
+         clamav-base (>= ${source:Version}),
+         clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
+         dpkg (>= 1.16.1),
+         logrotate,
+         lsb-base (>= 3.2-13),
+         procps (>= 1:3.3.2),
+         ucf,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: anti-virus utility for Unix - sendmail integration
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
  this software is the integration with mail servers (attachment
