## clamav 0.98.6+dfsg

=== debian/changelog ===
clamav (0.98.6+dfsg-1) unstable; urgency=high

  [ Sebastian Andrzej Siewior ]
  * update "fix-ssize_t-size_t-off_t-printf-modifier", include of misc.h was
    missing but was pulled in via the systemd patch.
  * Don't leak return codes from libmspack to clamav API. (Closes: #774686).

  [ Andreas Cadhalpun ]
  * Add patch to avoid emitting incremental progress messages when not
    outputting to a terminal. (Closes: #767350)
  * Update lintian-overrides for unused-file-paragraph-in-dep5-copyright.
  * clamav-base.postinst: always chown /var/log/clamav and /var/lib/clamav
    to clamav:clamav, not only on fresh installations. (Closes: #775400)
  * Adapt the clamav-daemon and clamav-freshclam logrotate scripts,
    so that they correctly work under systemd.
  * Move the PidFile variable from the clamd/freshclam configuration files
    to the init scripts. This makes the init scripts more robust against
    misconfiguration and avoids error messages with systemd. (Closes: #767353)
  * debian/copyright: drop files from Files-Excluded only present in github
    tarballs
  * Drop Workaround-a-bug-in-libc-on-Hurd.patch, because hurd got fixed.
    (see #752237)
  * debian/rules: Remove useless --with-system-tommath --without-included-ltdl
    configure options.

  [ Scott Kitterman ]
  * Stop stripping llvm when repacking the tarball as the system llvm on some
    releases is too old to use
  * New upstream bugfix release
    - Library shared object revisions.
    - Includes a patch from Sebastian Andrzej Siewior making ClamAV pid files
      compatible with systemd.
    - Fix a heap out of bounds condition with crafted Yoda's crypter files.
      This issue was discovered by Felix Groebert of the Google Security Team.
    - Fix a heap out of bounds condition with crafted mew packer files. This
      issue was discovered by Felix Groebert of the Google Security Team.
    - Fix a heap out of bounds condition with crafted upx packer files. This
      issue was discovered by Kevin Szkudlapski of Quarkslab.
    - Fix a heap out of bounds condition with crafted upack packer files. This
      issue was discovered by Sebastian Andrzej Siewior. CVE-2014-9328.
    - Compensate a crash due to incorrect compiler optimization when handling
      crafted petite packer files. This issue was discovered by Sebastian
      Andrzej Siewior.
  * Update lintian override for embedded zlib to match new so version

  [ Javier Fernández-Sanguino ]
  * Updated Spanish Debconf template translation (Closes: #773563)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Jan 2015 00:25:13 -0500

clamav (0.98.5+dfsg-3) unstable; urgency=medium

  * Fix failure to purge, noticed by piuparts. (Closes: #772092)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 04 Dec 2014 22:30:17 +0100

clamav (0.98.5+dfsg-2) unstable; urgency=medium

  * Automatically extend the clamav-daemon.socket systemd unit to create the
    TCP socket, when clamd is configured to use TCP. (Closes: #771911)
  * Also accept AF_INET6 sockets in clamd, as they are now supported.
    Systemd uses AF_INET6 for TCP sockets without specified address.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Wed, 03 Dec 2014 23:26:21 +0100

clamav (0.98.5+dfsg-1) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * import new upsstream version, refresh patches:
    dropped:
     - LLVM-3.5-version-check-update.patch
     - add-support-for-LLVM-3.5.patch
     - fix-test-failure-on-powerpc-again.patch
    updated:
     - hardcode-LLVM-linker-flag-because-llvm-config-return
     - added "bb-10731-Allow-to-specificy-a-group-for-the-socket-o" as
       dependecy for "clamav-milter-add-additinal-SMFIF_-flags-before-invo"
    (Closes: #763300)
  * Add "Bump-.so-version-number", likely the RPM version of 769384.
  * Add "llvm-don-t-use-system-libs", since we don't link against .a libs, we
    don't need the deps either.

  [ Scott Kitterman ]
  * Update libclamav6: embedded-library lintian override for new libclamav6 so
    version

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 19 Nov 2014 22:28:22 +0100

clamav (0.98.5~rc1+dfsg-4) unstable; urgency=medium

  * Bump the version requirement for the cl_retflevel symbol to 0.98.5~rc1,
    because the CL_FLEVEL, which this function returns, increased in that
    version the last time.
    This ensures that the functionality level of libclamav is always new
    enough. (Closes: #769384)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 13 Nov 2014 23:34:58 +0100

clamav (0.98.5~rc1+dfsg-3) unstable; urgency=medium

  * Add "clamav-milter-add-additinal-SMFIF_-flags-before-invo" to make sure
    clamav-milter is able to add/replace X-Virus-Status + X-Virus-Scanned
    header flags. Broken since bb-10731 got included (0.98.5~beta1+dfsg-3).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 30 Oct 2014 16:27:26 -0400

clamav (0.98.5~rc1+dfsg-2) unstable; urgency=medium

  * Add patch to fix test failure on powerpc again.
    (This is the same fix as in 0.98.4~rc1+dfsg-3.)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 16 Oct 2014 23:18:53 +0200

clamav (0.98.5~rc1+dfsg-1) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Import new upstream release candidate.
  * Drop patches included upstream and update the others.
  * Add 4 new symbols to libclamav6.symbols.
  * Fix debian/copyright.
  * Update lintian overrides.
  * Update Standards-Version to 3.9.6 (no changes needed).
  * Add Breaks and Replaces for old clamd package to clamdscan.
  * Remove unnecessary shlibs:Depends from clamav-dbg.
  * Add patches to support LLVM 3.5.

  [ Sebastian Andrzej Siewior ]
  * Add embedded copy of libmspack to be used as fallback, when libmspack-dev
    is not available.

  [ Frans Spiesschaert ]
  * Updated Dutch Debconf template translation (Closes: #763634)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Wed, 15 Oct 2014 06:50:20 +0200


