=== debian/control ===
--- 
+++ 
@@ -13,15 +13,18 @@
                check,
                debhelper (>= 8.9.7),
                dh-autoreconf,
+               dh-systemd,
                electric-fence,
                faketime,
                libbz2-dev,
                libcurl4-openssl-dev,
-               libjson0-dev,
+               libjson-c-dev | libjson0-dev,
                libltdl-dev,
                libmilter-dev,
+               libmspack-dev,
                libncurses5-dev,
                libssl-dev,
+               libsystemd-daemon-dev [linux-any],
                libtommath-dev,
                libxml2-dev,
                llvm-dev [i386 amd64 powerpc kfreebsd-amd64 kfreebsd-i386],
@@ -175,6 +178,7 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: clamdscan
 Suggests: apparmor, clamav-docs, daemon [!hurd-any]
 Breaks: clamav-base (<< 0.98.1+dfsg-6)
 Replaces: clamav-base (<< 0.98.1+dfsg-6)
@@ -187,12 +191,32 @@
  the Internet in the clamav-freshclam package. The programs are based
  on libclamav6, which can be used by other software.
  .
- This package contains the daemon and the daemon scanner client featuring:
+ This package contains the daemon featuring:
   - fast, multi-threaded daemon;
   - easy integration with MTA's;
   - support for on-access scanning;
   - remote scanning;
   - able to be run supervised by daemon.
+
+Package: clamdscan
+Architecture: any
+Depends: clamav-base (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: clamd (<< 0.98.5~beta1+dfsg-3)
+Replaces: clamd (<< 0.98.5~beta1+dfsg-3)
+Suggests: clamav-daemon, clamav-docs
+Description: anti-virus utility for Unix - scanner client
+ Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
+ this software is the integration with mail servers (attachment
+ scanning). The package provides a flexible and scalable
+ multi-threaded daemon in the clamav-daemon package, a command-line
+ scanner in the clamav package, and a tool for automatic updating via
+ the Internet in the clamav-freshclam package. The programs are based
+ on libclamav6, which can be used by other software.
+ .
+ This package contains clamdscan, the command line interface of the clamav
+ daemon.
 
 Package: clamav-testfiles
 Architecture: all
@@ -260,5 +284,3 @@
  the Internet in the clamav-freshclam package. The programs are based
  on libclamav6, which can be used by other software.
  .
- This package contains the ClamAV milter for use with sendmail. It can
- be configured to be run either standalone, or using clamav-daemon.
