=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,8 @@
 	--with-dbdir=/var/lib/clamav --sysconfdir=/etc/clamav \
 	--disable-clamav --disable-unrar --enable-milter --enable-dns-fix \
 	--with-libjson \
-	--with-gnu-ld --with-system-tommath --without-included-ltdl $(SYSTEM_LLVM)
+	--with-gnu-ld $(SYSTEM_LLVM) \
+	--with-systemdsystemunitdir=/lib/systemd/system
 
 DEBUG_OPTS=
